# -*-makefile-*-
#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2007 NXP B.V.,
# All Rights Reserved.
#
# Filename: drivers/nxp/Kbuild
#
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   2 20080314   burningh    Ditch ph833xVidUseCase
#   3 20080401   laird       Allow demux to be selected.
#   4 20080403   laird       The above is not working undo.
#   5 20080528   batelaan    Simplify
#   7 20080707   batelaan    Make THIS_DIR work out its value

ifdef CONFIG_NXP_DRIVERS
  # NXP driver building is enabled, so invoke SDE2 kernel module building:

  THIS_DIR:=$(dir $(lastword $(MAKEFILE_LIST)))

  include $(PRJROOT)/etc/roster.mk

  include $(_TMROOT)/sde/linux/Kbuild.mk

endif # ifdef CONFIG_NXP_DRIVERS
